package com.guo.controller;

import com.guo.common.domain.Result;
import com.guo.service.impl.GateWayLoadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author gxb
 * @description 网关控制层
 * @date 2024-04-18 14:29
 */
@RestController
@RequestMapping("/gateway")
public class GateWayController {

    @Autowired
    private GateWayLoadService gateWayLoadService;

    /**
     * 获取负载节点
     * @return 返回公网IP
     */
    @PostMapping("/load/node/{VehicleVIN}")
    public Result<String> loadNode(@PathVariable("VehicleVIN") String VehicleVIN){

        return Result.success(gateWayLoadService.loadNode(VehicleVIN));
    }

}
